<?php

/**
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2007 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

page_open(array("sess" => "Seminar_Session", "auth" => "Seminar_Auth", "perm" => "Seminar_Perm", "user" => "Seminar_User"));

include ("lib/seminar_open.php");             // initialise Stud.IP-Session

include_once("RSSProducer.class.php");

//include ("$ABSOLUTE_PATH_STUDIP/html_head.inc.php"); // Output of html head

$x = trim($_REQUEST['a']);
$modus = trim($_REQUEST["modus"]);
$username = trim($_REQUEST['username']);

if ($modus == "rss" && strlen($username) > 0) {
	return RSSProducer::create_rss_stream(get_userid($username));
}

$user_id = null;
$db = new DB_Seminar();
$db->queryf("SELECT user_id FROM blog_entries WHERE visible=1 AND permanent_id=%d",$x);
if ($db->next_record()) 
	$user_id = $db->f("user_id");
else {
	$c_open = $_REQUEST['c_open'];
	$db->queryf("SELECT user_id FROM blog_entries WHERE visible=1 AND entry_id=%d",$c_open);
	if ($db->next_record())
		$user_id = $db->f("user_id");
}
if ($user_id) {
	include_once("Simple_Blogging_Template.class.php");
	$permalink = $GLOBALS['ABSOLUTE_URI_STUDIP']."plugins/packages/ZMML/BloggingPlugin/blog.php?a=";
	$s = new Simple_Blogging_Template();
	$s->set_absolute_plugin_uri($GLOBALS['ABSOLUTE_URI_STUDIP']."plugins_packages/ZMML/BloggingPlugin");
	$s->show_template($db->f("user_id"), $permalink);
} else {
	echo "<TABLE BORDER=\"0\">\n";
	parse_msg("error"._("Blog-Eintrag nicht gefunden!"));
	echo "</TABLE>\n";

}
// Save data back to database.
page_close();
?>
</body>
</html>
