CREATE TABLE IF NOT EXISTS `blog_entries` (
  `entry_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `titel` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `mkdate` int(20) NOT NULL default '0',
  `chdate` int(20) default NULL,
  `visible` tinyint(2) NOT NULL default '0',
  `permanent_id` int(20) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`entry_id`),
  UNIQUE KEY `permanent_id` (`permanent_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `blog_comments` (
  `comment_id` varchar(32) NOT NULL,
  `entry_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `mkdate` int(20) NOT NULL default '0',
  `content` text NOT NULL,
  PRIMARY KEY  (`comment_id`),
  KEY `entry_id` (`entry_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM;
